uniform sampler2D SampleTexDepth;
uniform sampler2D SampleTexDepth2;

void main(void)
{
  float
    rDepth = texture2D(SampleTexDepth2, gl_TexCoord[0].xy).x;
  
  if (rDepth >= texture2D(SampleTexDepth, gl_TexCoord[0].xy).x) rDepth = 1.0;

  gl_FragColor = vec4(0.0);
  gl_FragDepth = rDepth;
}

